สอบถามเกี่ยวกับ Selenium เวอร์ขั่รของ urlib3 chardet

แนะนำ สอบถาม ภาษา C สำหรับผู้เริ่มต้น ภาษา Java ภาษา Python

Moderator: mindphp, ผู้ดูแลกระดาน

ภาพประจำตัวสมาชิก
athirach.offcial
PHP Hero Member
PHP Hero Member
โพสต์: 176
ลงทะเบียนเมื่อ: 25/03/2024 9:21 am

สอบถามเกี่ยวกับ Selenium เวอร์ขั่รของ urlib3 chardet

โพสต์ที่ยังไม่ได้อ่าน โดย athirach.offcial »

ปรึกษาครับ โปรแกรม Selenium ที่ใช้สำหรับทดสอบ phpbb เมื่อทดลองรันแล้วขึ้นแจ้งเตือน Error เวอร์ชั่นไม่ math กัน

โค้ด: เลือกทั้งหมด

RequestsDependencyWarning: urllib3 (2.2.1) or chardet (5.2.0) doesn't match a supported version!
  warnings.warn("urllib3 ({}) or chardet ({}) doesn't match a supported "
จากนั้นก็ตามด้วยข้อความ Error

โค้ด: เลือกทั้งหมด

Traceback (most recent call last):
  File "C:\Users\nowpl\Downloads\automated.py", line 205, in setUp
    self.driver = webdriver.Firefox(executable_path=p_gecko)
                  ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
TypeError: WebDriver.__init__() got an unexpected keyword argument 'executable_path'
เบื้องต้น
ได้ลองอัพเกรดเวอร์ชั่น ทั้งของ Selenium และ unlib3 เรียบร้อยครับ แต่ยังติดอยู่
ภาพประจำตัวสมาชิก
athirach.offcial
PHP Hero Member
PHP Hero Member
โพสต์: 176
ลงทะเบียนเมื่อ: 25/03/2024 9:21 am

Re: สอบถามเกี่ยวกับ Selenium เวอร์ขั่รของ urlib3 chardet

โพสต์ที่ยังไม่ได้อ่าน โดย athirach.offcial »

athirach.offcial เขียน: 02/04/2024 9:46 am ปรึกษาครับ โปรแกรม Selenium ที่ใช้สำหรับทดสอบ phpbb เมื่อทดลองรันแล้วขึ้นแจ้งเตือน Error เวอร์ชั่นไม่ math กัน

โค้ด: เลือกทั้งหมด

RequestsDependencyWarning: urllib3 (2.2.1) or chardet (5.2.0) doesn't match a supported version!
  warnings.warn("urllib3 ({}) or chardet ({}) doesn't match a supported "
จากนั้นก็ตามด้วยข้อความ Error

โค้ด: เลือกทั้งหมด

Traceback (most recent call last):
  File "C:\Users\nowpl\Downloads\automated.py", line 205, in setUp
    self.driver = webdriver.Firefox(executable_path=p_gecko)
                  ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
TypeError: WebDriver.__init__() got an unexpected keyword argument 'executable_path'
เบื้องต้น
ได้ลองอัพเกรดเวอร์ชั่น ทั้งของ Selenium และ unlib3 เรียบร้อยครับ แต่ยังติดอยู่
ได้แล้วครับ

ผมไล่แก้ไขเวอร์ชันของ selenium จน math กันครับ ตอนนี้สามารถทำงานได้แล้วครับ
ภาพประจำตัวสมาชิก
mindphp
ผู้ดูแลระบบ MindPHP
ผู้ดูแลระบบ MindPHP
โพสต์: 41327
ลงทะเบียนเมื่อ: 22/09/2008 6:18 pm
ติดต่อ:

Re: สอบถามเกี่ยวกับ Selenium เวอร์ขั่รของ urlib3 chardet

โพสต์ที่ยังไม่ได้อ่าน โดย mindphp »

Python สามารถติดตั้งโมดูลเสริมโดยระบุเวอร์ชั่นโมดูล แค่ละตัวที่ต้องใช้ได้
ติดตาม VDO: http://www.youtube.com/c/MindphpVideoman
ติดตาม FB: https://www.facebook.com/pages/MindphpC ... 9517401606
หมวดแชร์ความรู้: https://www.mindphp.com/forums/viewforum.php?f=29
รับอบรม และพัฒนาระบบ: https://www.mindphp.com/forums/viewtopic.php?f=6&t=2042
ตอบกลับโพส
  • Similar Topics
    ตอบกลับ
    แสดง
    โพสต์ล่าสุด

ผู้ใช้งานขณะนี้

สมาชิกกำลังดูบอร์ดนี้: Bing [Bot] และบุคลทั่วไป 3